use crate::canvas::managed::handles::Handle;

/// Typed wrapper for a u32 handle
#[derive(Clone, Debug, Default, PartialEq, Eq, Hash)]
pub struct CompuBufferHandle {
    pub(in crate::compute) handle: u32,
}

impl Handle for CompuBufferHandle {
    fn get_handle(&self) -> u32 {
        self.handle
    }
}

/// Typed wrapper for a u32 handle
#[derive(Clone, Debug, Default, PartialEq, Eq, Hash)]
pub struct CompuKernelHandle {
    pub(in crate::compute) handle: u32,
}

impl Handle for CompuKernelHandle {
    fn get_handle(&self) -> u32 {
        self.handle
    }
}




